A new Wordpress version has been released. All Wordress users are required to update IMMEDIATELY! The new release fixes a serious security threat that was diagnosed only recently. 

For more information, read here: https://www.wordfence.com/blog/2016/02/wordpress-4-4-2-security-update/



Tuesday, February 2, 2016







« Back